%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Desktop manager for the Xfce Desktop Environment
Name:		xfdesktop
Version:	4.12.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0001:	0001-Use-gdk-s-get-static-image-for-animation-files.patch
Patch0002:	0002-Prevent-a-crash-in-the-backdrop-loader-Bug-12339.patch
Patch0003:	0003-Properly-handle-an-image-style-of-None.patch
Patch0004:	0004-Fix-Open-dialog-s-title-Bug-12560.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(thunarx-2)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config >= 4.120.6.2
Requires:	%{_real_vendor}-theme

%description
The desktop manager sets the background image, provides a right-click
menu to launch applications and can optionally show files
(including application launchers) or iconified windows. It includes
gradient support for background color, saturation support for background image,
real multiscreen and xinerama support, and it provides a desktop menu editor.

%prep
%autosetup -p1

%build
%configure2_5x \
	--disable-static \
	--enable-desktop-icons \
	--enable-file-icons \
	--enable-thunarx \
	--enable-gio-unix \
	--enable-desktop-menu \
	--with-file-manager-fallback=%{_bindir}/Thunar \
	--enable-notifications

%make_build

%install
%make_install

# symlink to default mageia background
ln -s %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/backgrounds/xfce/mageia.png

%find_lang %{name}

%files -f %{name}.lang
%doc README TODO AUTHORS NEWS
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/%{name}*
%dir %{_datadir}/backgrounds/xfce/
%{_datadir}/backgrounds/xfce/xfce-blue.jpg
%{_datadir}/backgrounds/xfce/xfce-teal.jpg
%{_datadir}/backgrounds/xfce/mageia.png


%changelog
* Tue Jun 27 2017 wally <wally> 4.12.4-1.mga6
+ Revision: 1108582
- new version 4.12.4
- rebase P4 and drop upstreamed P5

* Tue Sep 20 2016 wally <wally> 4.12.3-5.mga6
+ Revision: 1054757
- add patch from upstream to fix directory selection bug in wallpaper choose dialog (xfce#12832)

* Sun Sep 18 2016 akien <akien> 4.12.3-4.mga6
+ Revision: 1053722
- Fix default background symlink to match config 4.120.6.2

* Tue Aug 16 2016 wally <wally> 4.12.3-3.mga6
+ Revision: 1046501
- add patches from upstream git to fix bugs reported to upstream

* Wed Feb 17 2016 umeabot <umeabot> 4.12.3-2.mga6
+ Revision: 963604
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 wally <wally> 4.12.3-1.mga6
+ Revision: 855954
- new version 4.12.3

* Sat Jun 20 2015 wally <wally> 4.12.2-1.mga6
+ Revision: 836198
- new version 4.12.2

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817400
- new version 4.12.0
- drop patches from upstream

* Mon Nov 17 2014 wally <wally> 4.11.8-3.mga5
+ Revision: 797722
- add patch from upstream git to respect default apps with glib >= 2.41 (xfce#11306)

* Wed Oct 15 2014 umeabot <umeabot> 4.11.8-2.mga5
+ Revision: 747133
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 4.11.8-1.mga5
+ Revision: 733881
- new version 4.11.8

* Tue Sep 16 2014 umeabot <umeabot> 4.11.7-2.mga5
+ Revision: 690646
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 wally <wally> 4.11.7-1.mga5
+ Revision: 661631
- new version 4.11.7

* Mon Apr 07 2014 wally <wally> 4.11.6-1.mga5
+ Revision: 612655
- new version 4.11.6
- drop upstreamed patches

* Thu Apr 03 2014 wally <wally> 4.11.5-2.mga5
+ Revision: 611540
- add patch from upstream bugzilla to fix disappearing background image (mga#13134, xfce#10788)

* Mon Mar 31 2014 wally <wally> 4.11.5-1.mga5
+ Revision: 610964
- new version 4.11.5
- drop single click patch

* Tue Mar 18 2014 wally <wally> 4.11.4-1.mga5
+ Revision: 605058
- new version 4.11.4
- drop patches from upstream

* Sun Feb 23 2014 wally <wally> 4.11.3-2.mga5
+ Revision: 595894
- add patch from upstream git to fix crash on startup (xfce#10705)

* Wed Feb 19 2014 wally <wally> 4.11.3-1.mga5
+ Revision: 594832
- new version 4.11.3

* Tue Feb 04 2014 wally <wally> 4.11.2-1.mga5
+ Revision: 581756
- new version 4.11.2
- drop default colors patch
- drop patches from upstream
- symlink default mga background to location where Xfce finds it

* Sat Oct 19 2013 umeabot <umeabot> 4.10.2-3.mga4
+ Revision: 532085
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 wally <wally> 4.10.2-2.mga4
+ Revision: 466800
- add patch from upstream git to fix crash when changing icon type
- build with thunarx support

* Sun Mar 10 2013 wally <wally> 4.10.2-1.mga3
+ Revision: 402050
- new version 4.10.2

* Wed Mar 06 2013 wally <wally> 4.10.1-1.mga3
+ Revision: 401551
- new version 4.10.1
- drop upstream applied patches

* Sat Feb 16 2013 wally <wally> 4.10.0-8.mga3
+ Revision: 398711
- add patch to fix eject/unmount notifications (xfce#9845)

* Sat Jan 26 2013 wally <wally> 4.10.0-7.mga3
+ Revision: 392402
- add a patch from upstream git to add an unmount option for removable devices (xfce#7610)

* Sat Jan 26 2013 wally <wally> 4.10.0-6.mga3
+ Revision: 392382
- add a patch from upstream git to add a signal handler for removable devices to update the icon when the theme is changed (xfce#8977)

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-5.mga3
+ Revision: 386897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 wally <wally> 4.10.0-4.mga3
+ Revision: 278735
- add a patch from upstream GIT to fix background search locations (xfce#8799)

* Wed Jun 27 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 264486
- fix use-after-free in desktop icon tooltip code (bnc#768985, xfce#9059)
  o patch from openSUSE via upstream bugzilla

* Sun Jun 03 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 253579
- fix 'Single click to activate items' not working after logout (mga#6156, xfce#8750)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248495
- new version 4.10.0
- clean .spec

* Wed Mar 07 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 221263
- fix desktop file preventing upload
- new version 4.9.0
- rediff default color patch (I guess this needs to be updated for Mageia?)
- clean .spec

* Wed Sep 14 2011 fwang <fwang> 4.8.3-1.mga2
+ Revision: 143126
- new version 4.8.3

* Tue Jun 21 2011 ahmad <ahmad> 4.8.2-1.mga2
+ Revision: 111159
- Update to 4.8.2
- Add BR libnotify-devel to enable mount notification support

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53138
- imported package xfdesktop

